---
title: BluetoothRemoteGATTCharacteristic.properties
slug: Web/API/BluetoothRemoteGATTCharacteristic/properties
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTCharacteristic
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - properties
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTCharacteristic.properties</code></strong> read-only property returns a {{domxref('BluetoothCharacteristicProperties')}} instance containing the properties of this characteristic.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>properties</em> = BluetoothRemoteGATTCharacteristic.properties</pre>

<h3 id="Returns">Returns</h3>

<p>The properties of this characteristic.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattcharacteristic-properties", "properties")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTCharacteristic.properties")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
